Bug 1278584 - Share nsslapd-threadnumber in the case nunc-stans is enabled, as well.
Share nsslapd-threadnumber in the case nunc-stans is enabled, as well.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base (Show other bugs)
7.0
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Noriko Hosoi
Viktor Ashirov
: ZStream
Depends On:
Blocks: 1278729
  Show dependency treegraph
 
Reported: 2015-11-05 16:04 EST by Noriko Hosoi
Modified: 2016-11-03 16:37 EDT (History)
4 users (show)

See Also:
Fixed In Version: 389-ds-base-1.3.5.2-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1278729 (view as bug list)
Environment:
Last Closed: 2016-11-03 16:37:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2594 normal SHIPPED_LIVE Moderate: 389-ds-base security, bug fix, and enhancement update 2016-11-03 08:11:08 EDT

  None (edit)
Description Noriko Hosoi 2015-11-05 16:04:41 EST
When nunc-stans is enabled, instead of getting the thread number from the environment variable:
{{{
  if (getenv("MAX_THREADS")) {
    maxthreads = atoi(getenv("MAX_THREADS"));
  }
}}}
use the value of config parameter nsslapd-threadnumber.
Comment 1 Marc Sauton 2015-11-05 17:39:12 EST
added "Internal Whiteboard" set to GSSApproved for rhel-7.2.z
Comment 3 Mike McCune 2016-03-28 19:13:32 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 5 Viktor Ashirov 2016-06-08 09:40:53 EDT
Build tested:
389-ds-base-1.3.5.4-1.el7.x86_64

# tail -n1 /etc/profile
export MAX_THREADS=100

nsslapd-threadnumber: 30
nsslapd-enable-nunc-stans: off

# ps huH p $(pidof ns-slapd) | wc -l
41

nsslapd-enable-nunc-stans: on
# ps huH p $(pidof ns-slapd) | wc -l
72

See also https://bugzilla.redhat.com/show_bug.cgi?id=1285901#c1 
Marking as VERIFIED
Comment 7 errata-xmlrpc 2016-11-03 16:37:13 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2594.html

Note You need to log in before you can comment on or make changes to this bug.